/**
 * 
 */
package org.bellard.eqemu.components;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class ControlEnableBooleanFieldEditor extends
		org.eclipse.jface.preference.BooleanFieldEditor {

	private Composite parent;

	private List<Control> toEnableList = new ArrayList<Control>();

	/**
	 * @param name
	 * @param label
	 * @param parent
	 */
	public ControlEnableBooleanFieldEditor(String name, String label, Composite parent) {
		super(name, label, parent);
		this.parent = parent;
	}

	/**
	 * @param name
	 * @param labelText
	 * @param style
	 * @param parent
	 */
	public ControlEnableBooleanFieldEditor(String name, String labelText, int style,
			Composite parent) {
		super(name, labelText, style, parent);
		this.parent = parent;
	}

	public Button getButton() {
		return getChangeControl(parent);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.BooleanFieldEditor#doLoad()
	 */
	@Override
	protected void doLoad() {
		super.doLoad();
		enableList();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.BooleanFieldEditor#doLoadDefault()
	 */
	@Override
	protected void doLoadDefault() {
		super.doLoadDefault();
		enableList();
	}

	public void enableList() {
		for (Control c : toEnableList) {
			c.setEnabled(getBooleanValue());
		}
	}

	public void addToEnable(final Control control) {
		toEnableList.add(control);
		getChangeControl(parent).addListener(SWT.Selection, new Listener() {
			public void handleEvent(Event event) {
				if (((Button) event.widget).getSelection()) {
					control.setEnabled(true);
				} else {
					control.setEnabled(false);
				}
			}
		});
	}

}
