/**
 * 
 */
package org.bellard.eqemu.components;

import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.preference.IntegerFieldEditor;
import org.eclipse.swt.widgets.Composite;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class MemoryFieldEditor extends IntegerFieldEditor {

	/**
	 * @param name
	 * @param labelText
	 * @param parent
	 * @param textLimit
	 */
	public MemoryFieldEditor(String name, String labelText, Composite parent,
			int textLimit) {
		super(name, labelText, parent, textLimit);
	}

	/**
	 * @param name
	 * @param labelText
	 * @param parent
	 */
	public MemoryFieldEditor(String name, String labelText, Composite parent) {
		super(name, labelText, parent);
	}

	protected boolean checkState() {

		boolean supercheck = super.checkState();

		if (supercheck) {
			int value = getIntValue();
			if (value % 4 != 0) {
				showErrorMessage(Messages
						.getString("preferences.memory.4multiple"));
				return false;
			} else {
				clearErrorMessage();
				return true;
			}
		}
		return supercheck;

	}

}
