/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.bellard.eqemu.inputs;

import org.bellard.eqemu.model.VMConfiguration;
import org.bellard.eqemu.resources.Messages;

public class ConfigurationFormEditorInput extends FormEditorInput {
	
	private VMConfiguration vmConfiguration;
	
	public ConfigurationFormEditorInput(VMConfiguration vmConf) {
		this.vmConfiguration=vmConf;
	}

	/**
	 * @return the vmConfiguration
	 */
	public VMConfiguration getVmConfiguration() {
		return vmConfiguration;
	}

	/**
	 * @param vmConfiguration the vmConfiguration to set
	 */
	public void setVmConfiguration(VMConfiguration vmConfiguration) {
		this.vmConfiguration = vmConfiguration;
	}

	/* (non-Javadoc)
	 * @see org.bellard.eqemu.inputs.FormEditorInput#getName()
	 */
	@Override
	public String getName() {
		
		return vmConfiguration.getVim().getName();
	}

	/* (non-Javadoc)
	 * @see org.bellard.eqemu.inputs.FormEditorInput#getToolTipText()
	 */
	@Override
	public String getToolTipText() {
		return Messages.getString("configuration.tooltip");
	}


	
	
}