/**
 * 
 */
package org.bellard.eqemu.manager;

import org.bellard.eqemu.preferences.AudioPreferencePage;
import org.bellard.eqemu.preferences.CDROMPreferencePage;
import org.bellard.eqemu.preferences.FloppyPreferencePage;
import org.bellard.eqemu.preferences.HardDiskPreferencePage;
import org.bellard.eqemu.preferences.MemoryPreferencePage;
import org.bellard.eqemu.preferences.QemuImagePreferencePage;
import org.eclipse.jface.preference.PreferenceManager;
import org.eclipse.jface.preference.PreferenceNode;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class VMConfigurationPreferenceManager extends PreferenceManager {

	public static final String KEYBOARD = "keyboard";

	public static final String QEMU_IMAGE = "qemuimage";

	public static final String CDROM = "cdrom";

	public static final String HARDDISK = "harddisk";

	public static final String MEMORY = "memory";

	public static final String AUDIO = "audio";

	public static final String FLOPPY = "floppy";

	/**
	 * 
	 */
	public VMConfigurationPreferenceManager() {
		super();
		init();
	}

	public void init() {

		PreferenceNode audionode = new PreferenceNode(AUDIO,
				new AudioPreferencePage());
		PreferenceNode memorynode = new PreferenceNode(MEMORY,
				new MemoryPreferencePage());
		PreferenceNode hardisknode = new PreferenceNode(HARDDISK,
				new HardDiskPreferencePage());
		PreferenceNode cdromnode = new PreferenceNode(CDROM,
				new CDROMPreferencePage());
		PreferenceNode floppynode = new PreferenceNode(FLOPPY,
				new FloppyPreferencePage());
		PreferenceNode imagenode = new PreferenceNode(QEMU_IMAGE,
				new QemuImagePreferencePage());
		// PreferenceNode keyboardnode = new PreferenceNode(KEYBOARD,
		// new KeyboardPreferencePage());

		addToRoot(memorynode);
		addToRoot(hardisknode);
		addToRoot(cdromnode);
		addToRoot(floppynode);
		addToRoot(audionode);
		addToRoot(imagenode);
		// addToRoot(keyboardnode);
	}

}
