/**
 * 
 */
package org.bellard.eqemu.preferences;

import org.bellard.eqemu.components.ComboFieldEditor;
import org.bellard.eqemu.components.ControlEnableBooleanFieldEditor;
import org.bellard.eqemu.constants.Configuration2Constants;
import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.preference.FieldEditorPreferencePage;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class AudioPreferencePage extends FieldEditorPreferencePage {

	public static final String PREFERENCES_AUDIO_VALUES = "preferences.audio.values";
	public static final String PREFERENCES_AUDIO_LABEL = "preferences.audio.label";
	public static final String PREFERENCES_AUDIO_CHECKLABEL = "preferences.audio.checklabel";
	public static final String PREFERENCES_AUDIO_DESCRIPTION = "preferences.audio.description";
	public static final String PREFERENCES_AUDIO_TITLE = "preferences.audio.title";

	/**
	 */
	public AudioPreferencePage() {
		super(Messages.getString(PREFERENCES_AUDIO_TITLE), GRID);
		setDescription(Messages.getString(PREFERENCES_AUDIO_DESCRIPTION));

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	@Override
	protected void createFieldEditors() {

		setMessage(Messages.getString(Messages
				.getString(PREFERENCES_AUDIO_TITLE)));

		ControlEnableBooleanFieldEditor enableAudio = new ControlEnableBooleanFieldEditor(Configuration2Constants.AUDIO_ENABLE,
				Messages.getString(PREFERENCES_AUDIO_CHECKLABEL),
				getFieldEditorParent());

		final ComboFieldEditor combo = new ComboFieldEditor(Configuration2Constants.AUDIO_VALUE,
				Messages.getString(PREFERENCES_AUDIO_LABEL),
				getFieldEditorParent(), Messages
						.getStringArray(PREFERENCES_AUDIO_VALUES));

		enableAudio.addToEnable(combo.getCombo());

		addField(enableAudio);
		addField(combo);
	}
}
