/**
 * 
 */
package org.bellard.eqemu.preferences;

import org.bellard.eqemu.constants.Configuration2Constants;
import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.FileFieldEditor;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class CDROMPreferencePage extends FieldEditorPreferencePage {


	public static final String PREFERENCES_CDROM_CD_LABEL = "preferences.cdrom.cd.label";

	public static final String PREFERENCES_CDROM_DESCRIPTION = "preferences.cdrom.description";

	public static final String PREFERENCES_CDROM_TITLE = "preferences.cdrom.title";

	/**
	 */
	public CDROMPreferencePage() {
		super(Messages.getString(PREFERENCES_CDROM_TITLE), GRID);
		setDescription(Messages.getString(PREFERENCES_CDROM_DESCRIPTION));

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	@Override
	protected void createFieldEditors() {

		setMessage(Messages.getString(Messages
				.getString(PREFERENCES_CDROM_DESCRIPTION)));

		FileFieldEditor cd1 = new FileFieldEditor(
				Configuration2Constants.CD_VALUE, Messages
						.getString(PREFERENCES_CDROM_CD_LABEL),
				getFieldEditorParent());
		cd1.setEmptyStringAllowed(true);
		addField(cd1);

	}
}
