/**
 * 
 */
package org.bellard.eqemu.preferences;

import org.bellard.eqemu.constants.Configuration2Constants;
import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.FileFieldEditor;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class FloppyPreferencePage extends FieldEditorPreferencePage {

	public static final String PREFERENCES_FLOPPY_FDA_LABEL = "preferences.floppy.fda.label";

	public static final String PREFERENCES_FLOPPY_FDB_LABEL = "preferences.floppy.fdb.label";

	public static final String PREFERENCES_FLOPPY_DESCRIPTION = "preferences.floppy.description";

	public static final String PREFERENCES_FLOPPY_TITLE = "preferences.floppy.title";

	/**
	 */
	public FloppyPreferencePage() {
		super(Messages.getString(PREFERENCES_FLOPPY_TITLE), GRID);
		setDescription(Messages.getString(PREFERENCES_FLOPPY_DESCRIPTION));

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	@Override
	protected void createFieldEditors() {

		setMessage(Messages.getString(Messages
				.getString(PREFERENCES_FLOPPY_DESCRIPTION)));

		FileFieldEditor floppyfda = new FileFieldEditor(
				Configuration2Constants.FDA_VALUE, Messages
						.getString(PREFERENCES_FLOPPY_FDA_LABEL),
				getFieldEditorParent());
		floppyfda.setEmptyStringAllowed(true);
		addField(floppyfda);
		FileFieldEditor floppyfdb = new FileFieldEditor(
				Configuration2Constants.FDB_VALUE, Messages
						.getString(PREFERENCES_FLOPPY_FDB_LABEL),
				getFieldEditorParent());
		floppyfdb.setEmptyStringAllowed(true);
		addField(floppyfdb);

	}
}
