package org.bellard.eqemu.preferences;

import org.bellard.eqemu.Activator;
import org.bellard.eqemu.constants.PreferenceConstants;
import org.bellard.eqemu.resources.Messages;
import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

/**
 * Class used to initialize default preference values.
 */
public class GeneralPreferenceInitializer extends AbstractPreferenceInitializer {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer#initializeDefaultPreferences()
	 */
	public void initializeDefaultPreferences() {
		IPreferenceStore store = Activator.getDefault().getPreferenceStore();
		store.setDefault(PreferenceConstants.PREFERENCES_KQEMU_PATH_VALUE,
				Messages

				.getString(PreferenceConstants.PREFERENCES_KQEMU_PATH_VALUE));

		// TODO manage windows path
		// String qemuPath=Messages
		// .getString(PreferenceConstants.PREFERENCES_QEMU_PATH_VALUE);
		// if (!ValidatorUtils.isEmptyOrNull(qemuPath)) {
		// if (!qemuPath.startsWith("/")) {
		// qemuPath =
		// Activator.getDefault().getWorkbench().getPreferenceManager().find("").toString()
		// + qemuPath;
		//				
		// }
		// }

		store
				.setDefault(
						PreferenceConstants.PREFERENCES_QEMU_PATH_VALUE,
						Messages
								.getString(PreferenceConstants.PREFERENCES_QEMU_PATH_VALUE));
		store
				.setDefault(
						PreferenceConstants.PREFERENCES_MONITOR_PORT_VALUE,
						Messages
								.getString(PreferenceConstants.PREFERENCES_MONITOR_PORT_VALUE));

	}

}
