/**
 * 
 */
package org.bellard.eqemu.preferences;

import org.bellard.eqemu.Activator;
import org.bellard.eqemu.constants.PreferenceConstants;
import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.preference.DirectoryFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.FileFieldEditor;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.preference.IntegerFieldEditor;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class GeneralPreferencesPage extends FieldEditorPreferencePage implements
		IWorkbenchPreferencePage {

	public final static String ID = GeneralPreferencesPage.class.getName();

	/**
	 * @param style
	 */
	public GeneralPreferencesPage() {
		super(Messages.getString(PreferenceConstants.PREFERENCES_SECTION), GRID);
		setDescription(Messages
				.getString(PreferenceConstants.PREFERENCES_DESCRIPTION));

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	@Override
	protected void createFieldEditors() {
		setMessage(Messages.getString(PreferenceConstants.PREFERENCES_TITLE));
		
		FileFieldEditor qemu  = new FileFieldEditor(PreferenceConstants.PREFERENCES_QEMU_PATH_VALUE, 
				Messages.getString(PreferenceConstants.PREFERENCES_QEMU_PATH_LABEL), 
				getFieldEditorParent());
		addField(qemu); 
		
		addField(new DirectoryFieldEditor(PreferenceConstants.PREFERENCES_KQEMU_PATH_VALUE, 
				Messages.getString(PreferenceConstants.PREFERENCES_KQEMU_PATH_LABEL), 
				getFieldEditorParent())); 

		addField(new IntegerFieldEditor(PreferenceConstants.PREFERENCES_MONITOR_PORT_VALUE, 
				Messages.getString(PreferenceConstants.PREFERENCES_MONITOR_PORT_LABEL), 
				getFieldEditorParent()));
		
		
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)
	 */
	public void init(IWorkbench workbench) {

	}

	protected IPreferenceStore doGetPreferenceStore() {
		return Activator.getDefault().getPreferenceStore();
	}

}
