/**
 * 
 */
package org.bellard.eqemu.preferences;

import org.bellard.eqemu.constants.Configuration2Constants;
import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.FileFieldEditor;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class HardDiskPreferencePage extends FieldEditorPreferencePage {

	public static final String PREFERENCES_HARDDISK_HDD_LABEL = "preferences.harddisk.hdd.label";
	public static final String PREFERENCES_HARDDISK_HDC_LABEL = "preferences.harddisk.hdc.label";
	public static final String PREFERENCES_HARDDISK_HDB_LABEL = "preferences.harddisk.hdb.label";
	public static final String PREFERENCES_HARDDISK_HDA_LABEL = "preferences.harddisk.hda.label";
	public static final String PREFERENCES_HARDDISK_DESCRIPTION = "preferences.harddisk.description";
	public static final String PREFERENCES_HARDDISK_TITLE = "preferences.harddisk.title";

	/**
	 */
	public HardDiskPreferencePage() {
		super(Messages.getString(PREFERENCES_HARDDISK_TITLE), GRID);
		setDescription(Messages.getString(PREFERENCES_HARDDISK_DESCRIPTION));

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	@Override
	protected void createFieldEditors() {

		setMessage(Messages.getString(Messages
				.getString(PREFERENCES_HARDDISK_TITLE)));

		FileFieldEditor hda = new FileFieldEditor(Configuration2Constants.HDA_VALUE, Messages
				.getString(PREFERENCES_HARDDISK_HDA_LABEL),
				getFieldEditorParent());
		FileFieldEditor hdb = new FileFieldEditor(Configuration2Constants.HDB_VALUE, Messages
				.getString(PREFERENCES_HARDDISK_HDB_LABEL),
				getFieldEditorParent());
		FileFieldEditor hdc = new FileFieldEditor(Configuration2Constants.HDC_VALUE, Messages
				.getString(PREFERENCES_HARDDISK_HDC_LABEL),
				getFieldEditorParent());
		FileFieldEditor hdd = new FileFieldEditor(Configuration2Constants.HDD_VALUE, Messages
				.getString(PREFERENCES_HARDDISK_HDD_LABEL),
				getFieldEditorParent());

		hda.setEmptyStringAllowed(true);
		hdb.setEmptyStringAllowed(true);
		hdc.setEmptyStringAllowed(true);
		hdd.setEmptyStringAllowed(true);
		
		addField(hda);
		addField(hdb);
		addField(hdc);
		addField(hdd);

	}
}
