/**
 * 
 */
package org.bellard.eqemu.preferences;

import org.bellard.eqemu.components.ComboFieldEditor;
import org.bellard.eqemu.constants.Configuration2Constants;
import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.preference.FieldEditorPreferencePage;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class KeyboardPreferencePage extends FieldEditorPreferencePage {

	public static final String PREFERENCES_KEYBOARD_LABEL = "preferences.keyboard.label";

	public static final String PREFERENCES_KEYBOARD_VALUES = "preferences.keyboard.values";
	
	public static final String PREFERENCES_KEYBOARD_DESCRIPTION = "preferences.keyboard.description";

	public static final String PREFERENCES_KEYBOARD_TITLE = "preferences.keyboard.title";

	/**
	 */
	public KeyboardPreferencePage() {
		super(Messages.getString(PREFERENCES_KEYBOARD_TITLE), GRID);
		setDescription(Messages.getString(PREFERENCES_KEYBOARD_DESCRIPTION));

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	@Override
	protected void createFieldEditors() {

		setMessage(Messages.getString(Messages
				.getString(PREFERENCES_KEYBOARD_DESCRIPTION)));

		final ComboFieldEditor combo = new ComboFieldEditor(Configuration2Constants.KEYBOARD_VALUE,
				Messages.getString(PREFERENCES_KEYBOARD_LABEL),
				getFieldEditorParent(), Messages
						.getStringArray(PREFERENCES_KEYBOARD_VALUES));

		addField(combo);

	}
}
