/**
 * 
 */
package org.bellard.eqemu.preferences;

import org.bellard.eqemu.components.MemoryFieldEditor;
import org.bellard.eqemu.constants.Configuration2Constants;
import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.preference.FieldEditorPreferencePage;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class MemoryPreferencePage extends FieldEditorPreferencePage {

	public static final String PREFERENCES_MEMORY_LABEL = "preferences.memory.label";
	public static final String PREFERENCES_MEMORY_DESCRIPTION = "preferences.memory.description";
	public static final String PREFERENCES_MEMORY_TITLE = "preferences.memory.title";
	/**
	 */
	public MemoryPreferencePage() {
		super(Messages.getString(PREFERENCES_MEMORY_TITLE), GRID);
		setDescription(Messages.getString(PREFERENCES_MEMORY_DESCRIPTION));

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	@Override
	protected void createFieldEditors() {
		setMessage(Messages.getString(Messages.getString(PREFERENCES_MEMORY_TITLE)));
		
		MemoryFieldEditor memory  = new MemoryFieldEditor(Configuration2Constants.MEMORY_VALUE, 
				Messages.getString(PREFERENCES_MEMORY_LABEL), 
				getFieldEditorParent());
		memory.setEmptyStringAllowed(true);
		addField(memory);

	}
}
