/**
 * 
 */
package org.bellard.eqemu.preferences;

import org.bellard.eqemu.constants.Configuration2Constants;
import org.bellard.eqemu.resources.Messages;
import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.FileFieldEditor;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class QemuImagePreferencePage extends FieldEditorPreferencePage {

	public static final String PREFERENCES_IMAGE_LABEL = "preferences.image.label";
	private static final String PREFERENCES_IMAGE_CHECKLABEL = "preferences.image.checklabel";
	/**
	 */
	public QemuImagePreferencePage() {
		super(Messages.getString("preferences.image.title"), GRID);
		setDescription(Messages.getString("preferences.image.description"));

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.preference.FieldEditorPreferencePage#createFieldEditors()
	 */
	@Override
	protected void createFieldEditors() {

		setMessage(Messages.getString(Messages
				.getString("preferences.image.title")));

		MyBooleanFieldEditor enableImage = new MyBooleanFieldEditor(Configuration2Constants.IMAGE_ENABLE,Messages.getString(PREFERENCES_IMAGE_CHECKLABEL),getFieldEditorParent());
		
		final FileFieldEditor imageSelect = new FileFieldEditor(Configuration2Constants.IMAGE_VALUE,Messages.getString(PREFERENCES_IMAGE_LABEL),getFieldEditorParent());
		imageSelect.setEmptyStringAllowed(true);

		enableImage.getChangeControl(getFieldEditorParent()).addListener(SWT.Selection, new Listener() {
			public void handleEvent(Event event) {
				if (((Button) event.widget).getSelection()) {
					imageSelect.setEnabled(true,getFieldEditorParent());
				} else {
					imageSelect.setEnabled(false,getFieldEditorParent());
				}
			}
		});

		
		if (!getPreferenceStore().getBoolean(Configuration2Constants.IMAGE_ENABLE)) {
			imageSelect.setEnabled(false,getFieldEditorParent());
		}
		
		addField(enableImage);
		addField(imageSelect);
	}
	
	
	class MyBooleanFieldEditor extends BooleanFieldEditor {
		/**
		 * 
		 */
		public MyBooleanFieldEditor() {
			super();
			// TODO Auto-generated constructor stub
		}

		/**
		 * @param name
		 * @param label
		 * @param parent
		 */
		public MyBooleanFieldEditor(String name, String label, Composite parent) {
			super(name, label, parent);
			// TODO Auto-generated constructor stub
		}

		/**
		 * @param name
		 * @param labelText
		 * @param style
		 * @param parent
		 */
		public MyBooleanFieldEditor(String name, String labelText, int style, Composite parent) {
			super(name, labelText, style, parent);
			// TODO Auto-generated constructor stub
		}

		public Button getChangeControl(Composite parent) {
			return super.getChangeControl(parent);
		}
		
	}
	
	
	
	
}
