/**
 * 
 */
package org.bellard.eqemu.provider;

import org.apache.log4j.Logger;
import org.bellard.eqemu.model.VM;
import org.bellard.eqemu.model.VMConfiguration;
import org.bellard.eqemu.model.VMs;
import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class VMNavigationViewContentProvider implements
		IStructuredContentProvider, ITreeContentProvider {

	private final static Logger logger = Logger
			.getLogger(VMNavigationViewContentProvider.class);

	public void inputChanged(Viewer v, Object oldInput, Object newInput) {
		logger.debug("inputChanged: viewer=" + v + ", oldInput=" + oldInput
				+ ", newInput=" + newInput);
	}

	public void dispose() {
	}

	public Object[] getElements(Object parent) {
		return getChildren(parent);
	}

	public Object getParent(Object child) {
		if (child instanceof VMConfiguration) {
			return ((VMConfiguration) child).getVim();
		} else 
			if (child instanceof VM) {
			return ((VM) child).getVms();
		}
		return null;
	}

	public Object[] getChildren(Object parent) {
		if (parent instanceof VM) {
			return new Object[] { ((VM) parent).getConfiguration() };
		} else 
			if (parent instanceof VMs) {
			return ((VMs) parent).getL().toArray();
		}
		return new Object[0];
	}

	public boolean hasChildren(Object parent) {
		if (parent instanceof VM)
			return ((VM) parent).getConfiguration() != null;
		return false;
	}
}
