package org.bellard.eqemu.resources;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Messages {

	private static final String BUNDLE_NAME = "messages";

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	private Messages() {
	}

	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}

	public static String[] getStringArray(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key).split(",");
		} catch (MissingResourceException e) {
			return new String[]{getString(key)};
		}
	}

	public static void main(String[] args) {
		String[] s = getString("configuration.general.boot.values").split(",");
		for (int i=0;i<s.length;i++) {
			System.out.println(s[i]);
		}
		
	}

}
