/**
 * 
 */
package org.bellard.eqemu.wizards;

import org.apache.log4j.Logger;
import org.bellard.eqemu.Activator;
import org.bellard.eqemu.model.VM;
import org.bellard.eqemu.views.VMNavigationView;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWizard;

/**
 * @author France Telecom
 * @Copyright France Telecom S.A. 2006
 */
public class NewProjectWizard extends Wizard implements INewWizard {

	public final static Logger logger = Logger
			.getLogger(NewProjectWizard.class);

	public final static String ID = NewProjectWizard.class.getName();

	private IStructuredSelection selection;

	/**
	 * 
	 */
	public NewProjectWizard() {
		super();
		setNeedsProgressMonitor(true);
	}

	private NewProjectWizardPage newPage;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.wizard.Wizard#addPages()
	 */
	@Override
	public void addPages() {
		newPage = new NewProjectWizardPage(selection);
		addPage(newPage);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {

		String name = newPage.getNameText();
		// name check has been already done
		// create the new vm
		VM v = new VM(name);
		// add the vm to the view
		VMNavigationView view = Activator.getDefault().getVMNavigationView();
		view.addVM(v);
		return true;
	}

	/**
	 * We will accept the selection in the workbench to see if we can initialize
	 * from it.
	 * 
	 * @see IWorkbenchWizard#init(IWorkbench, IStructuredSelection)
	 */
	public void init(IWorkbench workbench, IStructuredSelection selection) {
		this.selection = selection;
	}
}
