/**
 * 
 */
package org.bellard.eqemu.wizards;

import org.bellard.eqemu.model.VM;
import org.bellard.eqemu.resources.RessourcesUtils;
import org.bellard.eqemu.views.VMNavigationView;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWizard;

/**
 * @author Eric Bellard - eric.bellard@gmail.com
 * 
 */
public class RenameProjectWizard extends Wizard implements IWorkbenchWizard {

	private NewProjectWizardPage newPage;

	private IStructuredSelection selection;

	private VM vm;

	private VMNavigationView viewer;

	public RenameProjectWizard(VM vm, VMNavigationView viewer) {
		this.vm = vm;
		this.viewer = viewer;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.wizard.Wizard#addPages()
	 */
	@Override
	public void addPages() {
		newPage = new NewProjectWizardPage(selection);
		newPage.setOldName(vm.getName());
		addPage(newPage);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {

		if (vm != null) {
			String newName = newPage.getNameText();

			viewer.removeVM(vm);
			try {
				RessourcesUtils.renameProject(vm, newName);
				vm.setName(newName);
				viewer.addVM(vm);
			} catch (RuntimeException e) {
				viewer.addVM(vm);
			}
			return true;
		}
		return false;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.IWorkbenchWizard#init(org.eclipse.ui.IWorkbench,
	 *      org.eclipse.jface.viewers.IStructuredSelection)
	 */
	public void init(IWorkbench workbench, IStructuredSelection selection) {
		this.selection = selection;

	}

}
